> For the complete documentation index, see [llms.txt](https://docs.giftpro.co.uk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.giftpro.co.uk/reference/properties/delivery-methods.md).

# Delivery methods

Delivery methods are created and attached to a single property, products that are sold for that property are assigned delivery methods by the users.

## List delivery methods

<mark style="color:blue;">`GET`</mark> `https://api.giftpro.co.uk/properties/{domainID}/deliveryMethods/`

Returns a list of the delivery methods that are available to the property

#### Path Parameters

| Name                                       | Type | Description                                                                             |
| ------------------------------------------ | ---- | --------------------------------------------------------------------------------------- |
| domainID<mark style="color:red;">\*</mark> | int  | The [property](/reference/properties.md) you want to retrieve the delivery methods for. |

{% tabs %}
{% tab title="200: OK An array of delivery methods" %}

```json
[
    {
        "methodID": 2125,
        "domainID": 142,
        "name": "Email",
        "description": "Delivered instantly to your inbox",
        "requiresFulfillment": false,
        "offlineOnly": false,
        "basePrice": 0.00
    },
    {
        "methodID": 2126,
        "domainID": 142,
        "name": "Royal Mail 1st Class",
        "description": "Delivered on or before {date}",
        "requiresFulfillment": true,
        "offlineOnly": false,
        "basePrice": 2.95
    }\
]
```

{% endtab %}
{% endtabs %}
